> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Results



## OpenAPI

````yaml https://datamatcher-api.thedatacity.com/api/v1/openapi.json get /api/v1/match/batch/{job_id}/results
openapi: 3.1.0
info:
  title: DataMatcher API
  version: 0.1.0
servers:
  - url: https://datamatcher-api.thedatacity.com
    description: Production
security: []
paths:
  /api/v1/match/batch/{job_id}/results:
    get:
      tags:
        - match
      summary: Get Batch Results
      operationId: match-get_batch_results
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: >-
            Batch results. Each row uses the same field visibility as POST
            /match: debug fields only for superuser API keys.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResultsPublic'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    BatchResultsPublic:
      properties:
        job_id:
          type: string
          format: uuid
          title: Job Id
        status:
          $ref: '#/components/schemas/JobStatus'
        total:
          type: integer
          title: Total
        skip:
          type: integer
          title: Skip
        limit:
          type: integer
          title: Limit
        data:
          items:
            $ref: '#/components/schemas/MatchResult'
          type: array
          title: Data
      type: object
      required:
        - job_id
        - status
        - total
        - skip
        - limit
        - data
      title: BatchResultsPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - queued
        - running
        - completed
        - failed
      title: JobStatus
    MatchResult:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        input_name:
          type: string
          title: Input Name
        input_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Input Url
        postcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Postcode
        sic_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Sic Code
        start_trading_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Trading Date
        matched_company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Matched Company Number
        matched_company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Matched Company Name
        active:
          anyOf:
            - type: string
            - type: 'null'
          title: Active
        rigorous_match:
          type: boolean
          title: Rigorous Match
          default: false
        route:
          anyOf:
            - type: string
            - type: 'null'
          title: Route
        reasons:
          items:
            type: string
          type: array
          title: Reasons
          default: []
        degraded:
          items:
            type: string
          type: array
          title: Degraded
          default: []
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - input_name
      title: MatchResult
      description: >-
        Full match result. Debug fields are returned only for superuser API
        keys.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: Customer API key (`dm_live_…`)
      scheme: bearer

````